import Vue from 'vue'
import App from './App.vue'
import Vuex from 'vuex'
import VueRouter from 'vue-router'
import {routes} from './routes'
import Axios from 'axios'

// Setting up axios as the default $http method  
// Docs at: https://github.com/axios/axios
Vue.prototype.$http = Axios;

// Setting up Router
Vue.use(VueRouter);
const router = new VueRouter({
  routes
})
import BootstrapVue from 'bootstrap-vue'
// Add bootstrap components globally:
import {
  Button, 
  Form, 
  FormCheckbox, 
  FormGroup, 
  FormInput,
  FormTextarea,
  Nav
} from 'bootstrap-vue/es/components/';
// Bootstrap base styles
import 'bootstrap/dist/css/bootstrap.css'
import 'bootstrap-vue/dist/bootstrap-vue.css'

Vue.use(BootstrapVue);
Vue.use(Button);
Vue.use(FormCheckbox);
Vue.use(FormGroup);
Vue.use(FormInput);
Vue.use(FormTextarea);
Vue.use(Form);
Vue.use(Nav);

// Add Vuex imported above
Vue.use(Vuex);

new Vue({
  el: '#app',
  router,
  render: h => h(App)
})
